import { Meta, Canvas } from "@storybook/blocks";
import * as MyServiceCallsOverviewStories from "./my-service-calls-overview.stories";

<Meta of={MyServiceCallsOverviewStories} name="Docs" />

# My Service Calls Overview

My Service Calls Overview Page showing showing an overview of the customer's service calls.

## Translations for Filters

```json
{
    "status": {
        "column": "Status",
        "values": {
            "SERVICE_CALL_TransactionFailed": "Übermittlung fehlgeschlagen",
            "SERVICE_CALL_Open": "Fall übermittelt",
            "SERVICE_CALL_Deleted": "Fall gelöscht",
            "SERVICE_CALL_Closed": "Fall geschlossen",
            "SERVICE_CALL_WaitingForCustomer": "Warten auf Rückmeldung",
            "SERVICE_CALL_InProcess": "In Bearbeitung",
            "SERVICE_CALL_call-predictive": "Call Predictive"
        }
    }
}
```

## Translations for Content

```json
{
    "status": {
        "column": "Status",
        "values": {
            "SERVICE_CALL_TransactionFailed": "Übermittlung fehlgeschlagen",
            "SERVICE_CALL_Open": "Fall übermittelt",
            "SERVICE_CALL_Deleted": "Fall gelöscht",
            "SERVICE_CALL_Closed": "Fall geschlossen",
            "SERVICE_CALL_WaitingForCustomer": "Warten auf Rückmeldung",
            "SERVICE_CALL_InProcess": "In Bearbeitung",
            "SERVICE_CALL_call-predictive": "Call Predictive",
            "SERVICE_CALL_NewTechMessage": "Nachricht von Trumpf"
        }
    },
    "createdByUser": {
        "column": "Ersteller"
    },
    "creationDate": {
        "column": "Datum"
    },
    "fullMachineName": {
        "column": "Maschinenname"
    },
    "notificationType": {
        "column": "Meldungsgrund"
    },
    "sisCaseId": {
        "column": "SIS Case ID"
    }
}
```

## Template

<Canvas of={MyServiceCallsOverviewStories.Default}></Canvas>
